---
lang: en
title: 'API docs: filter.wherebuilder.or'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/filter
permalink: /doc/en/lb4/apidocs.filter.wherebuilder.or.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/filter](./filter.md) &gt; [WhereBuilder](./filter.wherebuilder.md) &gt; [or](./filter.wherebuilder.or.md)

## WhereBuilder.or() method

Add an `or` clause.

**Signature:**

```typescript
or(...w: (Where<MT> | Where<MT>[])[]): this;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

w


</td><td>

([Where](./filter.where.md)<!-- -->&lt;MT&gt; \| [Where](./filter.where.md)<!-- -->&lt;MT&gt;\[\])\[\]


</td><td>

One or more where objects


</td></tr>
</tbody></table>

**Returns:**

this


